LoggingControllerDownload Method |
GET /Logging/Download/{id}
Gets the requested download as a binary file.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpGetAttribute]
[ActionNameAttribute("Download")]
public HttpResponseMessage Download(
Guid id,
Nullable<Guid> sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("Download")>
Public Function Download (
id As Guid,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpGetAttribute]
[ActionNameAttribute(L"Download")]
HttpResponseMessage^ Download(
Guid id,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("Download")>]
member Download :
id : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The ID of the DBI Logs Export file. - sessionId (Optional)
- Type: SystemNullableGuid
The current session ID.
Return Value
Type:
HttpResponseMessageA status code indicating success and the file, or a failure reason.
See Also